CrossOver Support - Community Forums

Important Information These are community forums and not official technical support. If you need official support: Contact Us



CrossOver Mac
Discussion about CrossOver Mac

The following comments are owned by whoever posted them. We are not responsible for them in any way.


Reply to Thread Back to Threads

Grim Dawn Installation Issue
Erik Petersen
Posted 2016-03-19 16:27
Ok so i gave in and bought the game through GOG but I am having issues during installation. I get the following error that seems to occur when trying to install microsoft visual C++ 2012

Unable to Execute File: Shutdown

Shell ExecuteEx failed;code 0;
Success

This happens 3 times when trying to install different versions of visuall c++ and the final error is

Runtime Error (at 69;445)

Then

Out of Stack Range

GoG installer says it was succesfully Installed but then when I try to run it I get the message from Crossover "Program Grim Dawn has encountered a serious error and needs to close.
Gary Profenno
Gary Profenno
Posted 2016-03-19 16:59
Did you install Microsoft Visual C++ 2012 Redistributable from Crossover or from some where else? You should us the one in Crossover. It is located under Non Applications - Components.
Erik Petersen
Posted 2016-03-19 17:39
It is installed through the GOG installer, however after it installed I did install the one found in crossover into the file but still got the message about the serious issue and having to shut down the game
Erik Petersen
Posted 2016-03-19 17:54
So visuall c++ installs into program, however the installer also tries to install the 2015 version, so i downloaded that and tried to install it into the Grim Dawn bottle however it says it has failed as it can only install into newer version of windows XP SP so issue may be that crossover does not have the required version of windows to run the game at this time.
Jørgen
Jørgen Omniscient Mystical Exalted Nigh-invincible Supreme Raging Atomic Dragon Turbo Chief Senior Advocate, Rank 3
Posted 2016-03-20 10:23
Vista / 7 / 8 / 10 says GOG. Did you try those instead of XP? You can switch using the configuration utility.
Erik Petersen
Posted 2016-03-20 10:56
Thanks for advice. Just tried to install into both a vista and windows 8 bottle and still having same issue
Erik Petersen
Posted 2016-03-25 20:42
So I found a wrapper that was able to get the game working, which makes me think crosssover should somehow be able to get it to run. Anyway the wrapper is certainly more convenient. If anyone is interested in where to get the wrapper let me know. Just glad I didnt waste the 25 bucks I spent on this awesome game!

Please Note: This Forum is for non-application specific questions relating to installation/configuration of CrossOver. All application-specific posts to this Forum will be moved to their appropriate Compatibility Center Forum.

CrossOver Forums: the place to discuss running Windows applications on Mac and Linux

Please Wait...
eyJjYXJ0IjowLCJ0enMiOi02LCJjZG4iOiJodHRwczpcL1wvbWVkaWEuY29kZXdlYXZlcnMuY29tXC9wdWJcL2Nyb3Nzb3Zlclwvd2Vic2l0ZSIsImNkbnRzIjoxNTQyMjExMzU0fQ==